2019-10-23 13:31 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001397FSSCPsoundpublic2007-12-05 17:24
Reporterkarajorma 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSWindows XP HomeOS VersionSP2
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001397: Out of sound buffers in BtRL
DescriptionSome of the message.tbl sounds are not played in-game (and are replaced with voice synthesis).

the log contains this message.

SOUND ==> No more sound buffers available
Cannot load message wave: over_yes.ogg. Will not play

On stepping through the code a little I can see that error is coming from the ds_load_buffer function. I'm rather loathe to start playing around with anything there since the comment for the function quite clearly states

// NOTE: this function is slow, especially when sounds are loaded into hardware. Don't call this
// function from within gameplay.
Steps To ReproduceIt's not hard to reproduce this one for me. Start the 2nd non-training mission (Birth of a Legend) and wait for the banter to end. Order both of your wingmen individually to guard the miner.

At that point one or the other (or both) trigger the error.
TagsNo tags attached.
Attached Files

-Relationships
related to 0001411resolvedkarajorma Fluctuation of voice frequency and speed in in-mission radio communication between pilots 
+Relationships

-Notes

~0008729

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2007-05-13 19:38 karajorma New Issue
2007-06-12 15:25 karajorma Relationship added related to 0001411
2007-12-05 17:24 taylor Status new => resolved
2007-12-05 17:24 taylor Fixed in Version => 3.6.10
2007-12-05 17:24 taylor Resolution open => fixed
2007-12-05 17:24 taylor Assigned To => taylor
2007-12-05 17:24 taylor Note Added: 0008729
+Issue History